Bug 717020 - [ipa webui] When deactivating user, it updates the user, without having to click on "update" btn
Summary: [ipa webui] When deactivating user, it updates the user, without having to cl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-27 18:27 UTC by Namita Soman
Modified: 2015-01-04 23:49 UTC (History)
3 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: When activating or deactivating a user in the Web UI the user is updated without having to click the Update button. Consequence: This is confusing because updating any other attribute requires the end-user to click a button to accept the change. Fix: A message box is displayed indicating the the change is going into effect immediately. Result: The end-user is notified of the change.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:40:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-06-27 18:27:42 UTC
Description of problem:
Activate or deactivate a user in the User - Edit page, updates if the user's account is disabled or not. 
So when i click on the Update btn after making this change - a message is thrown - no modifications to be performed
I can click on "back to list" cleanly and the user's is correctly enabled or disabled.

But it is conflicting with the normal flow - where a user makes the change to the account, clicks on Update to save the change made.

Version-Release number of selected component (if applicable):
ipa-server-2.0.99-1.20110616T2130zgitdbeae4e.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. ipa user-find will indicate a new user added has:
  Account disabled: False
2. Edit this user
2. Click on : Account disabled: Active: Click to Deactivate
3. Save this change by clicking on "update"
  
Actual results:
Error thrown:
no modifications to be performed
The account was already disabled when i clicked on "Account disabled: Active: Click to Deactivate"

Expected results:
Allow Update with no errors, and then save the user's state of account.

Additional info:

Comment 2 Rob Crittenden 2011-06-27 19:46:39 UTC
https://fedorahosted.org/freeipa/ticket/1395

Comment 4 Rob Crittenden 2011-07-12 17:14:23 UTC
master: c27a6de2a601f6507b872978e508a29baa8c7b52

Comment 7 Namita Soman 2011-10-11 18:08:08 UTC
Verifed using ipa-server-2.1.2-2.el6.x86_64
Now when activating or deactivating a user, a message is displayed that the change will take effect immediately, and the Update button remains disabled

Comment 8 Rob Crittenden 2011-10-31 20:37:10 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: When activating or deactivating a user in the Web UI the user is updated without having to click the Update button.
Consequence: This is confusing because updating any other attribute requires the end-user to click a button to accept the change.
Fix: A message box is displayed indicating the the change is going into effect immediately.
Result: The end-user is notified of the change.

Comment 9 errata-xmlrpc 2011-12-06 18:40:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.